# my global config
global:
  scrape_interval:     15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

  # Attach these labels to any time series or alerts when communicating with
  # external systems (federation, remote storage, Alertmanager).
  external_labels:
      monitor: 'tlt-pks-monitoring'

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  - "./config/prometheus_rules.yml"
  # - "second.rules"
alerting:
  alertmanagers:
  - scheme: http
    api_version: v1
    static_configs:
    - targets:
      - "alertmanager:9093"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: 'prometheus'
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['localhost:9090']

  # - job_name: 'docker'
  #   # metrics_path defaults to '/metrics'
  #   # scheme defaults to 'http'.
  #   static_configs:
  #     - targets: ['localhost:9323']
      
  - job_name: 'cadvisor'
#   scrape_interval: 5s
    static_configs:
      - targets: ['cadvisor:8080']

  - job_name: 'node_exporter'
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['node_exporter:9100']
      
  - job_name: 'oracledb_exporter'
    scrape_interval: 120s
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['oracledb_exporter:9161']

  - job_name: nutanix_export
    # metrics_path: /metrics
    static_configs:
      # - targets: ['localhost:9405']
      - targets: ['10.110.172.151:9405']
    # - targets:
    #   - prism.tlt.co.th
    #   # - nutanix02.cluster.local
    # relabel_configs:
    # - source_labels: [__address__]
    #   target_label: __param_section
    # - source_labels: [__address__]
    #   target_label: __param_target
    # - source_labels: [__param_target]
    #   target_label: instance
    # - target_label: __address__
    #   replacement: nutanix_exporter:9405

  - job_name: 'win-exporter'
    # metrics_path: /metrics
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['nu-dock-win1.tlt.co.th:9182'] # nutanix_runnner_windows
      - targets: ['10.10.40.156:9182'] # mssql online application & simple
        labels:
          instance: 'pks-mssql-simply'
      - targets: ['10.10.10.21:9182'] # dns01 windows server
        labels:
          instance: 'pks-dns01'
      - targets: ['10.10.10.22:9182'] # dns02 windows server
        labels:
          instance: 'pks-dns02'
      - targets: ['10.187.0.5:9182'] # dns02 windows server
        labels:
          instance: 'pks-dns_forwarder'          
      - targets: ['10.10.40.8:9182'] # mssql-AD server (AG)
        labels:
          instance: 'pks-mssql-AD'
      - targets: ['10.10.40.10:9182'] # mssql01-AG
        labels:
          instance: 'pks-mssql01-AG'
      - targets: ['10.10.40.11:9182'] # mssql02-AG
        labels:
          instance: 'pks-mssql02-AG'
      - targets: ['10.10.80.16:9182'] 
        labels:
          instance: 'pks-kube-windows-worker01'          
      - targets: ['10.10.80.17:9182'] 
        labels:
          instance: 'pks-kube-windows-worker02'    
      - targets: ['10.10.80.18:9182'] 
        labels:
          instance: 'pks-kube-windows-worker03'  
      - targets: ['10.10.80.19:9182'] 
        labels:
          instance: 'pks-kube-windows-worker04'    
      - targets: ['10.10.80.29:9182'] 
        labels:
          instance: 'pks-kube-windows-worker05'
      - targets: ['inhwb1prd.tlt.co.th:9182'] # in-house
      - targets: ['inhwb2prd.tlt.co.th:9182'] # in-house 
      - targets: ['inhwb2prd-iis8.tlt.co.th:9182'] # in-house 
      - targets: ['inhws1prd.tlt.co.th:9182'] # in-house
      - targets: ['inhws2prd.tlt.co.th:9182'] # in-house
      - targets: ['wa4service.tlt.co.th:9182'] # in-house
      - targets: ['aafba1prd.tlt.co.th:9182'] # ambit
      - targets: ['aafba2prd.tlt.co.th:9182'] # ambit
      - targets: ['aafba3prd.tlt.co.th:9182'] # ambit
      - targets: ['aafon1prd.tlt.co.th:9182'] # ambit
      - targets: ['aafon2prd.tlt.co.th:9182'] # ambit
      - targets: ['aafon3prd.tlt.co.th:9182'] # ambit
      - targets: ['aafws1prd.tlt.co.th:9182'] # ambit
      - targets: ['aafws2prd.tlt.co.th:9182'] # ambit
      - targets: ['aafws3prd.tlt.co.th:9182'] # ambit
      - targets: [TLT-BDC-A1.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-A2.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-A3.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-A4.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-B1.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-B2.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-C12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-F16.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-H12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-J12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-K12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-L12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-N12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-P12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-R12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-U12.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-Z1.tlt.co.th] # Domain Controler
      - targets: [TLT-BDC-Z2.tlt.co.th] # Domain Controler

  # - job_name: 'snmp'
  #   static_configs:
  #     - targets:
  #       - 192.168.1.2  # SNMP device.
  #   metrics_path: /snmp
  #   params:
  #     module: [if_mib]
  #   relabel_configs:
  #     - source_labels: [__address__]
  #       target_label: __param_target
  #     - source_labels: [__param_target]
  #       target_label: instance
  #     - target_label: __address__
  #       replacement: 127.0.0.1:9116  # The SNMP exporter's real hostname:port.

  - job_name: 'pks_app_monitoring'
    metrics_path: /probe
    params:
      module: [http_2xx]  # Look for a HTTP 200 response.
    static_configs:
      - targets:
        - https://shopsabuy-dev.tlt.co.th/
        - https://shopsabuy-uat.tlt.co.th/
        - https://shopsabuy.tlt.co.th/
        - https://e-tax-pks-dev.tlt.co.th/
        - https://e-tax-pks-uat.tlt.co.th/ 
        - https://e-tax.tlt.co.th/
        - https://tltaccessui-dev.tlt.co.th/
        - https://tltaccessui-uat.tlt.co.th/
        - https://tltaccessui.tlt.co.th/
        - https://antimoney-pks-dev.tlt.co.th/
        - https://antimoney-pks-uat.tlt.co.th/
        - https://antimoney.tlt.co.th/
        - https://garequest-pks-dev.tlt.co.th/
        - https://garequest-pks-uat.tlt.co.th/ 
        - https://garequest.tlt.co.th/
        - https://pksdev.tlt.co.th/tltauthenticationapi/swagger/index.html
        - https://pksdev.tlt.co.th/creditportalexternalapi/swagger/index.html
        - https://pksdev.tlt.co.th/dealerportalexternalapi/swagger/index.html
        - https://pksdev.tlt.co.th/dleucasapi/swagger/index.html
        - https://pksdev.tlt.co.th/fixassetrequisitionapi/swagger/index.html
        - https://pksdev.tlt.co.th/gagamobiapi/swagger/index.html
        - https://pksdev.tlt.co.th/garequest/swagger/index.html
        - https://pksdev.tlt.co.th/garequestcenterapi/swagger/index.html
        - https://pksdev.tlt.co.th/garequestui/swagger/index.html
        - https://pksdev.tlt.co.th/helloapi/swagger/index.html
        - https://pksdev.tlt.co.th/hellonetcoreapi/swagger/index.html
        - https://pksdev.tlt.co.th/imegatronapi/swagger/index.html
        - https://pksdev.tlt.co.th/ioptimusapi/swagger/index.html
        - https://pksdev.tlt.co.th/ismartagentapi/swagger/index.html
        - https://pksdev.tlt.co.th/jarvisapi/swagger/index.html
        - https://pksdev.tlt.co.th/ndidmobiapi/swagger/index.html
        - https://pksdev.tlt.co.th/nginx11/swagger/index.html
        - https://pksdev.tlt.co.th/onlineappapiexternal/swagger/index.html
        - https://pksdev.tlt.co.th/onlineappapiinternal/swagger/index.html
        - https://pksdev.tlt.co.th/parmatus/swagger/index.html
        - https://pksdev.tlt.co.th/shopsabuyapi/swagger/index.html
        - https://pksdev.tlt.co.th/smartagentapi/swagger/index.html
        - https://pksdev.tlt.co.th/synergycardapi/swagger/index.html
        - https://pksdev.tlt.co.th/drdemo/swagger/index.html
        - https://pksdev.tlt.co.th/tltaccessapi/swagger/index.html
        - https://pksdev.tlt.co.th/tltaccessui/swagger/index.html
        - https://pksdev.tlt.co.th/tltappmanagementapi/swagger/index.html
        - https://pksdev.tlt.co.th/tltbcexternalapi/swagger/index.html
        - https://pksdev.tlt.co.th/parmatusapi/swagger/index.html
        
        - https://pksprd.tlt.co.th/creditportalexternalapi/swagger/index.html
        - https://pksprd.tlt.co.th/dealerportalexternalapi/swagger/index.html
        - https://pksprd.tlt.co.th/dleucasapi/swagger/index.html
        - https://pksprd.tlt.co.th/fixassetrequisitionapi/swagger/index.html
        - https://pksprd.tlt.co.th/gagamobiapi/swagger/index.html
        - https://pksprd.tlt.co.th/garequest/swagger/index.html
        - https://pksprd.tlt.co.th/garequestcenterapi/swagger/index.html
        - https://pksprd.tlt.co.th/helloapi/swagger/index.html
        - https://pksprd.tlt.co.th/hellonetcoreapi/swagger/index.html
        - https://pksprd.tlt.co.th/imegatronapi/swagger/index.html
        - https://pksprd.tlt.co.th/ioptimusapi/swagger/index.html
        - https://pksprd.tlt.co.th/ismartagentapi/swagger/index.html
        - https://pksprd.tlt.co.th/jarvisapi/swagger/index.html
        - https://pksprd.tlt.co.th/ndidmobiapi/swagger/index.html
        - https://pksprd.tlt.co.th/nginx11/swagger/index.html
        - https://pksprd.tlt.co.th/onlineappapiexternal/swagger/index.html
        - https://pksprd.tlt.co.th/onlineappapiinternal/swagger/index.html
        - https://pksprd.tlt.co.th/parmatus/swagger/index.html
        - https://pksprd.tlt.co.th/shopsabuyapi/swagger/index.html
        - https://pksprd.tlt.co.th/smartagentapi/swagger/index.html
        - https://pksprd.tlt.co.th/synergycardapi/swagger/index.html
        - https://pksprd.tlt.co.th/template/swagger/index.html
        - https://pksprd.tlt.co.th/tltaccessapi/swagger/index.html
        - https://pksprd.tlt.co.th/tltaccessui/swagger/index.html
        - https://pksprd.tlt.co.th/tltappmanagementapi/swagger/index.html
        - https://pksprd.tlt.co.th/tltauthenticationapi/swagger/index.html
        - https://pksprd.tlt.co.th/tltbcexternalapi/swagger/index.html
        - https://pksprd.tlt.co.th/parmatusapi/swagger/index.html

        - https://pksuat.tlt.co.th/creditportalexternalapi/swagger/index.html
        - https://pksuat.tlt.co.th/dealerportalexternalapi/swagger/index.html
        - https://pksuat.tlt.co.th/dleucasapi/swagger/index.html
        - https://pksuat.tlt.co.th/fixassetrequisitionapi/swagger/index.html
        - https://pksuat.tlt.co.th/gagamobiapi/swagger/index.html
        - https://pksuat.tlt.co.th/garequest/swagger/index.html
        - https://pksuat.tlt.co.th/garequestcenterapi/swagger/index.html
        - https://pksuat.tlt.co.th/helloapi/swagger/index.html
        - https://pksuat.tlt.co.th/hellonetcoreapi/swagger/index.html
        - https://pksuat.tlt.co.th/imegatronapi/swagger/index.html
        - https://pksuat.tlt.co.th/ioptimusapi/swagger/index.html
        - https://pksuat.tlt.co.th/ismartagentapi/swagger/index.html
        - https://pksuat.tlt.co.th/jarvisapi/swagger/index.html
        - https://pksuat.tlt.co.th/ndidmobiapi/swagger/index.html
        - https://pksuat.tlt.co.th/nginx11/swagger/index.html
        - https://pksuat.tlt.co.th/onlineappapiexternal/swagger/index.html
        - https://pksuat.tlt.co.th/onlineappapiinternal/swagger/index.html
        - https://pksuat.tlt.co.th/parmatus/swagger/index.html
        - https://pksuat.tlt.co.th/shopsabuyapi/swagger/index.html
        - https://pksuat.tlt.co.th/smartagentapi/swagger/index.html
        - https://pksuat.tlt.co.th/synergycardapi/swagger/index.html
        - https://pksuat.tlt.co.th/template/swagger/index.html
        - https://pksuat.tlt.co.th/tltaccessapi/swagger/index.html
        - https://pksuat.tlt.co.th/tltaccessui/swagger/index.html
        - https://pksuat.tlt.co.th/tltappmanagementapi/swagger/index.html
        - https://pksuat.tlt.co.th/tltauthenticationapi/swagger/index.html
        - https://pksuat.tlt.co.th/tltbcexternalapi/swagger/index.html
        - https://pksuat.tlt.co.th/parmatusapi/swagger/index.html

    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox_exporter:9115  # The blackbox exporter's real hostname:port.

  - job_name: 'blackbox_ping'
    metrics_path: /probe
    params:
      module: [icmp]  # Look for a HTTP 200 response.
    static_configs:
      - targets:
        # - TLT-BDC-A1.tlt.co.th    
        # - TLT-BDC-A2.tlt.co.th    
        # - TLT-BDC-B1.tlt.co.th    
        # - TLT-BDC-C12.tlt.co.th   
        # - TLT-BDC-F16.tlt.co.th    
        # - TLT-BDC-H12.tlt.co.th    
        # - TLT-BDC-J12.tlt.co.th    
        # - TLT-BDC-K12.tlt.co.th    
        # - TLT-BDC-L12.tlt.co.th
        # - TLT-BDC-L12.tlt.co.th
        # - TLT-BDC-N12.tlt.co.th
        # - TLT-BDC-P12.tlt.co.th
        # - TLT-BDC-U12.tlt.co.th
        # - TLT-BDC-Z1.tlt.co.th
      - targets: ['10.10.10.21']
        labels:
          instance: 'PKS-DNS-Server'
      - targets: ['10.112.100.1'] 
        labels:
          instance: 'Saraburi' 
      - targets: ['10.113.100.1'] 
        labels:
          instance: 'Ratchaburi' 
      - targets: ['10.114.100.1'] 
        labels:
          instance: 'Chonburi' 
      - targets: ['10.115.100.1'] 
        labels:
          instance: 'Phitsanulok' 
      - targets: ['10.116.100.1'] 
        labels:
          instance: 'Khonkhen' 
      - targets: ['10.117.100.1'] 
        labels:
          instance: 'Surat' 
      - targets: ['10.118.100.1'] 
        labels:
          instance: 'Korat' 
      - targets: ['10.119.100.1'] 
        labels:
          instance: 'Hatyai' 
      - targets: ['10.120.100.1'] 
        labels:
          instance: 'SUN Tower' 
      - targets: ['10.121.100.1'] 
        labels:
          instance: 'Chiangmai' 
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 10.110.172.151:9115  # The blackbox exporter's real hostname:port.

